#pragma once

#include <QTcpSocket>
#include <QTimer>
#include <QWidget>

namespace Ui {
class MyWidget;
}

class MyWidget : public QWidget {
    Q_OBJECT

  public:
    explicit MyWidget(QWidget *parent = 0);
    ~MyWidget();

  protected:
    /* TODO: Dodać zmienną reprezentująca gniazdo - wskaźnik na  QTcpSocket */
    QTimer *connTimeoutTimer = new QTimer(this);
    void connTimedOut();
    void connectBtnHit();
    void sendBtnHit();

    void socketConnected();
    /* TODO: Stworzyć nagłówki pozostałych funkcji obsługujących zdarzenie na gnieździe */

  private:
    Ui::MyWidget *ui;
};
